EFIWAKE(8)

NAME
efiwake - manipulate the EFI wake timer

SYNOPSIS
efiwake
efiwake -d
efiwake -e yyyy-mm-ddThh:mm:ss

DESCRIPTION
efiwake reports the current value of, disables or enables the EFI wake timer that can wake your machine from S3 sleep at a given time.

If invoked without arguments, the current EFI time and the current value of the wake timer will be printed, followed by an enabled status and a pending status. EFI time is supposed to be in UTC. Note that it can be out of sync with kernel time. The pending status tells whether the wake timer fired recently; it is cleared upon reading.

If invoked with the -d option, the wake timer is reset and disabled.

If invoked with the -e option, the wake timer is set to the given time and date. If the date or time is invalid, an error is returned.

The current EFI time is always printed.

EXAMPLES
Without arguments:

    # efiwake
    Current EFI time: 2023-05-04T15:30:45
    EFI wake time: 2023-05-04T10:00:00; enabled=0, pending=1

Disabling and resetting the wake timer:

    # efiwake -d
    Current EFI time: 2023-05-04T15:32:16
    EFI wake time: 2023-05-04T15:32:16; enabled=0, pending=0

Enabling the wake timer with a valid date:

    # efiwake -e 2023-05-04T15:35:00
    Current EFI time: 2023-05-04T15:34:05
    EFI wake time: 2023-05-04T15:35:00; enabled=1, pending=0

Trying to enable with an invalid date (there is no 31st of April):

    # efiwake -e 2023-04-31T15:35:00
    Current EFI time: 2023-05-04T15:35:25
    efiwake: cannot enable EFI wake time: Invalid argument

AUTHORS
-nosplit The tool and manual page were written by Johannes Totz <jo@bruelltuete.com>.

BUGS
The quality of EFI implementations differs widely. Corruption of the wake-up date has been observed on real hardware.